Propose changes
curl --request POST \
--url https://{festival}.fesutibaru.com/api/v1/proposals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"changes": [
{
"table": "<string>",
"id": "<string>",
"ref": "<string>",
"data": {}
}
],
"note": "<string>",
"edition": 0
}
'import requests
url = "https://{festival}.fesutibaru.com/api/v1/proposals"
payload = {
"title": "<string>",
"changes": [
{
"table": "<string>",
"id": "<string>",
"ref": "<string>",
"data": {}
}
],
"note": "<string>",
"edition": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
changes: [{table: '<string>', id: '<string>', ref: '<string>', data: {}}],
note: '<string>',
edition: 0
})
};
fetch('https://{festival}.fesutibaru.com/api/v1/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{festival}.fesutibaru.com/api/v1/proposals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'changes' => [
[
'table' => '<string>',
'id' => '<string>',
'ref' => '<string>',
'data' => [
]
]
],
'note' => '<string>',
'edition' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{festival}.fesutibaru.com/api/v1/proposals"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"changes\": [\n {\n \"table\": \"<string>\",\n \"id\": \"<string>\",\n \"ref\": \"<string>\",\n \"data\": {}\n }\n ],\n \"note\": \"<string>\",\n \"edition\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{festival}.fesutibaru.com/api/v1/proposals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"changes\": [\n {\n \"table\": \"<string>\",\n \"id\": \"<string>\",\n \"ref\": \"<string>\",\n \"data\": {}\n }\n ],\n \"note\": \"<string>\",\n \"edition\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{festival}.fesutibaru.com/api/v1/proposals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"changes\": [\n {\n \"table\": \"<string>\",\n \"id\": \"<string>\",\n \"ref\": \"<string>\",\n \"data\": {}\n }\n ],\n \"note\": \"<string>\",\n \"edition\": 0\n}"
response = http.request(request)
puts response.read_body{}{}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}Proposals
Propose changes
Propose changes for the person you act for. Nothing changes until they accept it in their Planner inbox, change by change or all at once. Group one task into one proposal, with a clear title and a short note.
Every change is checked as if the person made it: the record is this festival’s (and edition’s), the fields can be proposed and they may change them. If any change is refused, nothing is proposed and `problems` lists each refusal by position: correct them and propose again.
Changes: update {op, table, id, data}; create {op, table, data, ref?}; delete {op, table, id} (to the Recycle Bin); link/unlink {op, table: junction, data: {parent_id, related_id}}. A ref ($new_event) lets a later change point at a record this proposal creates.
Fields never proposed: id, festival_id, edition_id, user_id, role_type, capabilities, metadata, timestamps, printed and deleted marks. Custom fields are cf_<field_key>.
Send an Idempotency-Key header: the same key again returns the first proposal instead of making a second.
POST
/
proposals
Propose changes
curl --request POST \
--url https://{festival}.fesutibaru.com/api/v1/proposals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"changes": [
{
"table": "<string>",
"id": "<string>",
"ref": "<string>",
"data": {}
}
],
"note": "<string>",
"edition": 0
}
'import requests
url = "https://{festival}.fesutibaru.com/api/v1/proposals"
payload = {
"title": "<string>",
"changes": [
{
"table": "<string>",
"id": "<string>",
"ref": "<string>",
"data": {}
}
],
"note": "<string>",
"edition": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
changes: [{table: '<string>', id: '<string>', ref: '<string>', data: {}}],
note: '<string>',
edition: 0
})
};
fetch('https://{festival}.fesutibaru.com/api/v1/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{festival}.fesutibaru.com/api/v1/proposals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'changes' => [
[
'table' => '<string>',
'id' => '<string>',
'ref' => '<string>',
'data' => [
]
]
],
'note' => '<string>',
'edition' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{festival}.fesutibaru.com/api/v1/proposals"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"changes\": [\n {\n \"table\": \"<string>\",\n \"id\": \"<string>\",\n \"ref\": \"<string>\",\n \"data\": {}\n }\n ],\n \"note\": \"<string>\",\n \"edition\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{festival}.fesutibaru.com/api/v1/proposals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"changes\": [\n {\n \"table\": \"<string>\",\n \"id\": \"<string>\",\n \"ref\": \"<string>\",\n \"data\": {}\n }\n ],\n \"note\": \"<string>\",\n \"edition\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{festival}.fesutibaru.com/api/v1/proposals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"changes\": [\n {\n \"table\": \"<string>\",\n \"id\": \"<string>\",\n \"ref\": \"<string>\",\n \"data\": {}\n }\n ],\n \"note\": \"<string>\",\n \"edition\": 0\n}"
response = http.request(request)
puts response.read_body{}{}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"type": "<string>"
}Authorizations
Scopes
Body
application/json
Response
The same Idempotency-Key again: the first proposal.
The response is of type object.